收藏
回答

wx.showLoading is not a function;

框架类型 问题类型 API/组件名称 终端类型 操作系统 微信版本 基础库版本
小程序 Bug wx.showLoading 客户端 未知 1.7.0





偶然收到这种提示,报错说  wx.showLoading is not a function. 这个应该是用户在使用的时候报错的,

但是我们自己的手机测试又没有发现这个问题。


代码如上图,就是一个很简单的调用,不知有没有其他同学遇到过同样的问题???




回答关注问题邀请回答
收藏

5 个回答

  • You can you up
    You can you up
    2018-04-10

    用二楼的那个检查api是否支持

    2018-04-10
    有用
    回复
  • 3光年
    3光年
    2018-04-10

    @3楼


    那有没有什么地方可以查询到不同版本库之间的差异?  比如我现在是1.7.0版本的,我如果直接把基础库升级到 1.9.0的话,担心会出现问题。这样我必须要把小程序里面的每一个功能全部都重新测试一遍,这样太麻烦了。


    如果能直接查询到指定版本之间的api差异的话,我只用测试差异部分就可以了。

    2018-04-10
    有用
    回复
  • You can you up
    You can you up
    2018-04-10

    wx.showLoading(OBJECT)

    基础库 1.1.0 开始支持,低版本需做兼容处理

    1.7.1以下会报错的话 就是有bug了

    2018-04-10
    有用
    回复
  • 骑着猪上班
    骑着猪上班
    2018-04-10

    有低版本微信访问你小程序了,我也碰到过,测试发现基础库1.7.1以下版本的微信访问就会报错,showLoading是有版本兼容性问题的。   看下文档用canuse判断一下

    2018-04-10
    有用
    回复
  • You can you up
    You can you up
    2018-04-10

    一样  报警群天天报

    2018-04-10
    有用
    回复
登录 后发表内容